Subject: [Ospf-manet] Re: Ospf-manet Digest, Vol 15, Issue 5

From: Aniket Desai <[email-masked]>
Date: Wed, 28 Mar 2007 18:25:29 -0500

Hello,

That's an interesting observation. I gave this problem some thought myself.

The fundamental issue first of all is that the way in which the synch 
router is currently defined does not guarantee a connected adjacency 
graph. I think this is a serious hole, and the whole MPR draft needs 
to be rethought. I think fleshing out the draft more with details on 
how it fits in each part of RFCs 2328/2740 is of great importance, 
which is something I have found only in the MDR draft till date. Thus 
there never was a question of correct functionality in MDR, and all 
discussion centered around efficiency/complexity. Such does not look 
to be the case with MPR. In fact a while back, Dr. Ogier suggested 
another improvement to avoid unidirectional adjacencies in MPR draft as well.

If I understand correctly, a synch interface should form adjacencies 
with all its neighbors regardless of MPR signaling. Thus the most 
obvious choice is to have the highest router ID synch interface to do 
this job. However the price of having to break and form new 
adjacencies if a new router with higher ID moves in the neighborhood 
is too high. I am not sure if a persistence feature is possible (the 
same way as MDRs are persistent). Also as Dr. Ogier pointed out, as 
the network size grows big (and worse yet, as number of interfaces 
increase), number of synch interfaces become high. Since a synch pays 
the price of establishing adjacencies with everyone in vicinity, this 
becomes a bottleneck.

Thanks,

Aniket

At 11:00 AM 3/25/2007, you wrote:
>Send Ospf-manet mailing list submissions to
>         [email-masked]
>
>To subscribe or unsubscribe via the World Wide Web, visit
>         https://www1.ietf.org/mailman/listinfo/ospf-manet
>or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
>You can reach the person managing the list at
>         [email-masked]
>
>When replying, please edit your Subject line so it is more specific
>than "Re: Contents of Ospf-manet digest..."
>
>
>Today's Topics:
>
>    1. [Fwd: Re: [Ospf-manet] Re: Regarding MPR-OSPF] (Richard Ogier)
>
>
>----------------------------------------------------------------------
>
>Message: 1
>Date: Sat, 24 Mar 2007 19:50:05 -0800
>From: Richard Ogier <[email-masked]>
>Subject: [Fwd: Re: [Ospf-manet] Re: Regarding MPR-OSPF]
>To: [email-masked]
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
>Emmanuel,
>
>You did not respond to my question regarding your selection
>of a synch router, which I posted on March 13 and am repeating
>below.  I think my question is valid, so can you please respond?
>This is important because your simulations assume that you can
>always select a *single* router to be the synch router, which may
>not be true in general.  As you know, the number of synch routers
>affects overhead significantly in dense networks.
>
>If Emmanuel does not respond, can someone else respond who either
>agrees or disagrees with me?
>
>Richard
>
>Emmanuel Baccelli wrote:
>
> > To clarify a point which you indicate that you missed concerning the
> > synch router: the willingness parameter influences a routers
> > forwarding ability only. If a synch router is outside the MANET, then
> > according to the I-D there exists a hybrid router which will
> > synchronise with its whole neighbourhood, thus fulfilling the synch role.
>
>
>Emmanuel,
>
>There still seems to be a problem when a router has multiple
>MANET interfaces.  You define a hybrid router as follows.
>
>Hybrid router  - a router which has OSPF interfaces of several types,
>including the MANET type.
>
>So a router with only MANET interfaces is not a hybrid router.
>Consider a router A that has only one MANET interface, but has
>only 1-hop neighbors and no 2-hop neighbors on this interface.
>(I.e., Hellos received from neighbors on this interface advertise
>only routers that are neighbors of router A itself.) As a result,
>router A has no MPRs.  Assume it also has no MPR selectors.
>
>A ----- B ===== C
>
>Now suppose router A has a neighbor B which has two MANET
>interfaces, one of which connects it to router A, and the other
>of which connects it to router C, which is not a neighbor of A.
>Assume router C has the largest RID and is therefore the synch router.
>Therefore, since router A is not a synch router (nor a neighbor of a
>synch router) and has no MPRs or MPR selectors, it has no adjacencies!
>
>Therefore, it still looks like you need to select a synch router
>for each MANET interface, or redefine a hybrid router to include
>routers with multiple MANET interfaces.  Am I missing something?
>
>Richard
>
>
>
>_______________________________________________
>Ospf-manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf-manet
>
>
>
>
>
>
>
>
>
>------------------------------
>
>_______________________________________________
>Ospf-manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf-manet
>
>
>End of Ospf-manet Digest, Vol 15, Issue 5
>*****************************************

Aniket Desai
Modeling Engineer,
Models Research and Development
OPNET Technologies Inc.
7255 Woodmont Avenue, suit 445,
Bethesda, MD 20814
(240) 497 3000 (ext 2409)
www.opnet.com

====================================================
Register for OPNETWORK 2007 (Aug 27 - 31, Washington, DC)
http://www.opnet.com/opnetwork2007
====================================================
====================================================
Register for OPNET Technology Workshops!
http://www.opnet.com/news/events/online_tech_wrkshop.html
====================================================

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet